Subject: Re: [precis] review tickets done. call for volunteer to review

From: <[email-masked]>
Date: Tue, 3 Aug 2010 12:11:39 -0400

Stupid question - what should the reviews contain?

Thanks,
--David

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
Behalf Of Marc Blanchet
> Sent: Thursday, July 29, 2010 2:56 PM
> To: [email-masked]
> Subject: [precis] review tickets done. call for volunteer to review
> 
> Hello,
>   as discussed in the meeting today and also in the minutes, I browsed
> all the RFC referencing stringprep (RFC3454) from
> http://www.arkko.com/tools/allstats/citations-rfc3454.html
> and took the subset that makes sense of reviewing: i.e. those saying
use
> stringprep or point to a stringprep profile or create a stringprep
profile.
>   I grouped some RFCs together in a single ticket when it makes sense
to
> be done by the same person in the same review.
>   For some RFCs, I opened a ticket and put some text in the ticket
> saying that this is not relevant to review and close them, so we have
a
> trace of those who were "reviewed".
> 
>   The end result is 24 open tickets.
> See: http://trac.tools.ietf.org/wg/precis/trac/report/1
> The list is copied below.
> 
>   While browsing the RFCs to create the tickets, I found that we only
> have one or two more stringprep profiles that were not registered in
the
> IANA registry. Most RFCs in the list are actually referencing to
> stringprep profiles, such as SASLprep, LDAPprep. Which means while a
lot
> of RFCs are referencing stringprep, in fact, we have a much less wide
> spectrum than one can think looking at the list of the referencing
RFCs
> list. I put that info in the title of the ticket (i.e. uses SASLprep)
so
> we have better visibility of the *prep used.
> 
> This is a call to volunteers to assign themselves a ticket. If you
don't
> have a login in trac and want to be assigned, please contact me and
I'll
> fill in the info in the ticket. (hint: some are pretty
straightforward,
> so assign yourself fast...)
> 
> It would be great if each ticket is assigned to someone by the end of
> next week. When you are assigned, please put your findings/review in
the
> ticket and then close the ticket when you think you are done.
> 
> Marc.
> 
> ============
> List of review open tickets
> http://trac.tools.ietf.org/wg/precis/trac/report/1
> 
> 1  Review RFC3530 (NFSv4) and RFC5661 (NFSv4.1)
> 3  Review RFC3720 and RFC3722 (iSCSI)
> 5  Review RFC3748 (EAP)
> 6  Review RFC3920 (XMPP Core)
> 7  Review RFC3922 (XMPP to CPIM mapping)
> 8  Review RFC4011 (Policy-based MIB)
> 9  Review RFC4013 (SASLprep) and RFC4422(SASL)
> 10 Review RFC4279 (TLS)
> 11 Review RFC4314 (IMAP4 using SASLprep)
> 12 Review RFC4505 (anon SASL i.e. trace stringprep profile)
> 13 Review RFC4511 (LDAP) and RFC4513 (LDAP auth) and RFC4513(i18n
prep)
> 14 Review RFC4616 (Plain SASL using SASLprep
> 16 Review RFC4643 (NNTP using SASLprep)
> 17 Review RFC4683 (PKIX subject identification using LDAPprep)
> 18 Review RFC4790 (Internet Application Protocol Collation Registry)
> 19 Review RFC4954 (SMTP Auth using SASLprep)
> 20 Review RFC5034 (POP3 Auth using SASLprep)
> 22 Review RFC5054 (TLS SRP using SASLprep)
> 23 Review RFC5122 (iri and uri in XMPP)
> 24 Review RFC5280 (PKIX CRL using LDAPprep)
> 25 Review RFC5456 (IAX using Nameprep)
> 26 Review RFC5802 (SASL SCRAM using SASLprep)
> 27 Review RFC5804 (Remote mng of Sieve using SASLprep)
> 21 Review RFC5051 (i;unicode-casemap Unicode Collation)
> 
> --
> =========
> IPv6 book: Migrating to IPv6, Wiley. http://www.ipv6book.ca
> Stun/Turn server for VoIP NAT-FW traversal: http://numb.viagenie.ca
> DTN news service: http://reeves.viagenie.ca
> NAT64-DNS64 Opensource: http://ecdysis.viagenie.ca
> 
> _______________________________________________
> precis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/precis

---

From: Marc Blanchet <[email-masked]>
Date: Tue, 03 Aug 2010 12:44:55 -0400

> Stupid question - what should the reviews contain?

- good question! ;-)
- during the meeting, there was some comments towards: let's do some 
reviews, presumably by the i18n experts in the wg, and then we will 
build up a list of topics to review.
- the initial reviews would start with the short list of issues listed 
in the problem-statement draft.
- I guess the individual who suggested that is known and has committed 
to review a few RFCs already. So I expect that individual to either show 
his reviews, his topics list or comment here.... ;-)))

Marc.